<input type="hidden" value="{{ disappeared.geometry if disappeared }}" id="geometry" name="geometry"/>
<div id='map' style="height: 400px; margin-bottom: 20px;"></div>
<script>

    document.addEventListener("DOMContentLoaded", function () {

        var geometry = document.getElementById("geometry");

        mapboxgl.accessToken = 'pk.eyJ1IjoiZGVzYXBhcmVjaWRvc21lIiwiYSI6ImNqa3ZrYWdqcDBzMzUzcHBhdGhhdWp1YmEifQ.09Yj5rE71q2u_WGfPu3LFA';

        var map = new mapboxgl.Map({
            container: 'map',
            style: 'mapbox://styles/mapbox/streets-v9',
            center: [-47.8823, -15.7934],
            zoom: 3
        });

        var geocoder = new MapboxGeocoder({
            accessToken: mapboxgl.accessToken
        });

        map.addControl(geocoder);

        map.on('load', function () {
            map.addSource('single-point', {
                "type": "geojson",
                "data": {
                    "type": "FeatureCollection",
                    "features": []
                }
            });

            map.addLayer({
                "id": "point",
                "source": "single-point",
                "type": "circle",
                "paint": {
                    "circle-radius": 30,
                    "circle-color": "#007cbf",
                    "circle-opacity": 0.5
                }
            });

            geocoder.on('result', function (ev) {
                map.getSource('single-point').setData(ev.result.geometry);
                geometry.value = ev.result.geometry.coordinates.join();
            });

        });

        if (geometry.value != '' || geometry.value != null) {
            new mapboxgl.Marker()
                .setLngLat(geometry.value.split(','))
                .addTo(map);
        }
    });

</script>
